Name: Getleft
Version: 1.1.1
Release: alt2

Summary: Tcl/Tk WWW site grabber powered by curl
Summary(ru_RU.KOI8-R):    GUI Tcl/Tk  
 
License: GPL
Group: Networking/WWW
Url: http://personal.iddeo.es/andresgarci/getleft/english/

Packager: Alexander Nekrasov <canis@altlinux.ru>

Source: %name-%version.tar.bz2

BuildArchitectures: noarch

Requires: tcl >= 8.1, tk >= 8.1, sh

%description
Given an Url, Getleft will try to download all linked urls.

As it goes it modifies the original html pages, so that absolute links
get changed to relative links and link to active pages get changed to
the resulting page.

Getleft supports English, Polish, French, Turkish, Korean, German,
Italian, Dutch, Portuguese, Esperanto, Russian, Chinese and Spanish 

%description -l ru_RU.KOI8-R
Getleft -        ,   Tcl/Tk. 
   URL, Getleft       ,
    . 
      html, ,   
    ,         .
Getleft ""   : , , , ,
, , , , , , ,   .

%prep
%setup -q 

%build

%install
mkdir -p $RPM_BUILD_ROOT%_datadir
cp -r datadir/* $RPM_BUILD_ROOT/%_datadir/
mkdir -p $RPM_BUILD_ROOT%_libdir/%name
cp -r libdir/* $RPM_BUILD_ROOT%_libdir/%name/
install -D -m644 getleft.conf $RPM_BUILD_ROOT%_sysconfdir/getleft.conf
install -D -m755 %name $RPM_BUILD_ROOT%_bindir/%name

#install menu
mkdir -p $RPM_BUILD_ROOT/%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(Getleft): command="%name" needs="X11" \\
icon="Getleft.png" section="Networking/WWW/" \\
title="Getleft" \\
genericname="off-line browser" \\
longtitle="GUI off-line browser"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_sysconfdir/*
%_bindir/*
%attr(755,root,root) %_libdir/%name/*
%_menudir/%name
%_iconsdir/*
%attr(644,root,root) %_datadir/doc/%name-%version/*
%attr(755,root,root) %_datadir/%name/*

%changelog
* Mon Sep 22 2003 Alexander Nekrasov <canis@altlinux.ru> 1.1.1-alt2
-build architecture correction

* Mon Sep 22 2003 Alexander Nekrasov <canis@altlinux.ru> 1.1.1-alt1
- first build